Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<Appearance("Hide DEV parameters if Currency is HUF", AppearanceItemType:="ViewItem", Criteria:="ContractRows.CurrencyName.ShortName = 'HUF'", TargetItems:="AmountDEV", Context:="Any", Visibility:=DevExpress.ExpressApp.Editors.ViewItemVisibility.Hide)> _
<Appearance("Hide DEV parameters if Currency is not HUF", AppearanceItemType:="ViewItem", Criteria:="ContractRows.CurrencyName.ShortName != 'HUF'", TargetItems:="AmountHUF", Context:="Any", Visibility:=DevExpress.ExpressApp.Editors.ViewItemVisibility.Hide)> _
Public Class ContractRowsDividePopup
    Inherits BaseObject
    Private _Percent As Double
    Private _AmountHUF As Double
    Private _AmountDEV As Double
    Private _ContractRows As ContractRows

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property Percent As Double
        Get
            Return _Percent
        End Get
        Set(value As Double)
            SetPropertyValue("Percent", _Percent, value)
        End Set
    End Property
    Property AmountHUF As Double
        Get
            Return _AmountHUF
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF", _AmountHUF, value)
        End Set
    End Property
    Property AmountDEV As Double
        Get
            Return _AmountDEV
        End Get
        Set(value As Double)
            SetPropertyValue("AmountDEV", _AmountDEV, value)
        End Set
    End Property
    <Browsable(False)> _
    Property ContractRows As ContractRows
        Get
            Return _ContractRows
        End Get
        Set(value As ContractRows)
            SetPropertyValue("ContractRows", _ContractRows, value)
        End Set
    End Property
End Class
